package com.gic.haoban.manage.service.pojo.bo.hm;

import com.gic.haoban.manage.api.enums.hm.HmWelcomeReferType;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2022/7/4 8:56 AM
 * @Description
 * @Version
 **/
public class HmWelcomeRelationBO implements Serializable {

    /**
     * 企业id
     */
    private String enterpriseId;

    private String wxEnterpriseId;

    /**
     * 欢迎语id
     */
    private String welcomeId;

    /**
     * 引用方code
     */
    private String referId;

    /**
     * 引用方名称
     */
    private String referName;

    /**
     * 引用方类型
     * @see HmWelcomeReferType
     */
    private Integer type;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getReferId() {
        return referId;
    }

    public void setReferId(String referId) {
        this.referId = referId;
    }

    public String getReferName() {
        return referName;
    }

    public void setReferName(String referName) {
        this.referName = referName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
