package com.gic.haoban.manage.service.service.hm;

import java.util.List;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.hm.HmLinkDTO;
import com.gic.haoban.manage.api.dto.hm.HmLinkStoreDTO;
import com.gic.haoban.manage.api.dto.qdto.hm.HmLinkSearchQDTO;
import com.gic.haoban.manage.service.entity.hm.TabHmLink;

public interface HmLinkService {

    public TabHmLink getByLinkId(String wxEnterpriseId, String enterprieId,Long linkId);

    public List<HmLinkDTO> listForSms(String wxEnterpriseId, String enterprieId, String linkName, Integer linkType);

    public HmLinkDTO saveLink(HmLinkDTO dto, List<HmLinkStoreDTO> stoerList);

    public Page<HmLinkDTO> listPage(HmLinkSearchQDTO qdto, BasePageInfo basePageInfo);

}
